Subject: bug#61719: 29.0.60; pgtk focus problem with Sway 1.7

From: Sean Whitton <[email-masked]>
Date: Wed, 22 Feb 2023 15:12:31 -0700

X-debbugs-cc: [email-masked]

I just upgraded a workstation Debian bullseye->bookworm, which involved
an upgrade of the Sway Wayland compositor from 1.5 to 1.7.  This appears
to have uncovered a bug in the pgtk build.

1. emacs -Q --bg-daemon=foo
2. emacsclient -sfoo -nc; sleep 5; emacsclient -sfoo -nc

After the second frame has opened, it seems that the first still has
keyboard focus for typing unmodified self-insert chars, but if you type
C-x, then neither of the frames receives the keypress.

I tried 'firefox -new-window; sleep 5; firefox -new-window', which is
also Wayland-native GTK, for comparison.  The bug does not appear there.

-- 
Sean Whitton